$identification
Motion of two bodies under mutual gravitational attraction.
Ref: Computer methods for mathematical computations.
By G.E.Forsythe, M.A.Malcolm, C.B.Moler, Prentice-Hall, Inc., 1977.

alpha:  0.7853981633974483
e:  0.2500000000000000
h1:  1.013944668993403


$exchange
d(y1)/dt = y3
d(y2)/dt = y4
d(y3)/dt = -y1/R
d(y4)/dt = -y2/R

$symbolic
#alpha = 0.7853981633974483d0 ! pi/4

$refresh
<R = (sqrt(y1^2+y2^2))^3/alpha^2

$concentrations
CON(y1) = 0.75d0 ! 1 - e (e=eccentricity) with e=0.25
CON(y4) = 1.013944668993403 ! alpha*sqrt((1+e)/(1-e)) with alpha=pi/4

$integration
EPS=1E-12
TEND=12

$graphics
pe1:y1
pe2:y2
plot(pe1,pe2) ! plot versus time
plot(pe1;pe2) ! xy plot (phase diagram)

$output control
prints = 24
dig = 9

$END DATA
